<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
  <link href="../static/images/favicon.png" rel="icon" />
<title>Profile</title>
<meta name="description" content="This professional design html template is for build a Money Transfer and online payments website.">
<meta name="author" content="harnishdesign.net">

<!-- Web Fonts
============================================= -->
<link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i' type='text/css'>

<!-- Stylesheet
============================================= -->
  <link rel="stylesheet" type="text/css" href="../static/vendor/bootstrap/css/bootstrap.min.css" th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" />
  <link rel="stylesheet" type="text/css" href="../static/vendor/font-awesome/css/all.min.css" th:href="@{/vendor/font-awesome/css/all.min.css}" />
  <link rel="stylesheet" type="text/css" href="../static/vendor/owl.carousel/assets/owl.carousel.min.css" th:href="@{/vendor/owl.carousel/assets/owl.carousel.min.css}"/>
  <link rel="stylesheet" type="text/css" href="../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}"/>
</head>
<body>

<!-- Preloader -->
<!--<div id="preloader">-->
<!--  <div data-loader="dual-ring"></div>-->
<!--</div>-->
<!-- Preloader End -->

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

  <!-- Header
  ============================================= -->
  <header id="header">
    <div class="container">
      <div class="header-row">
        <div class="header-column justify-content-start"> 
          <!-- Logo
          ============================= -->
          <div class="logo"> <a class="d-flex" href="index.html" th:href="@{/}" title="Virtual Wallet Logo"><img src="../static/images/wallet-logo.png" alt="Payyed" th:src="@{/images/wallet-logo.png}" /></a> </div>
          <!-- Logo end --> 
          <!-- Collapse Button
          ============================== -->
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#header-nav"> <span></span> <span></span> <span></span> </button>
          <!-- Collapse Button end --> 
          
          <!-- Primary Navigation
          ============================== -->
          <div th:replace="fragments/navbar-and-footer :: navbar"></div>
          <!-- Primary Navigation end --> 
        </div>
        <div class="header-column justify-content-end"> 
          <!-- Login & Signup Link
          ============================== -->
          <div th:replace="fragments/navbar-and-footer::login"></div>
          <!-- Login & Signup Link end --> 
        </div>
      </div>
    </div>
  </header>
  <!-- Header End --> 
  
  <!-- Secondary Menu
  ============================================= -->
  <div class="bg-primary">
    <div class="container d-flex justify-content-center">
      <ul class="nav secondary-nav">
        <li class="nav-item"> <a class="nav-link active" href="profile.html" th:href="@{/users/{userId}/profile(userId=${currentUser.getId()})}">Account</a></li>
        <li class="nav-item"> <a class="nav-link" href="profile-cards-and-wallets.html" th:href="@{/users/{userId}/cards-and-wallets(userId=${currentUser.getId()})}">Cards & Wallets</a></li>

      </ul>
    </div>
  </div>
  <!-- Secondary Menu end --> 
  
  <!-- Content
  ============================================= -->
  <div id="content" class="py-4">
    <div class="container">
      <div class="row">

        <!-- Left Panel
        ============================================= -->

        <!-- Photo Panel
        ============================================= -->
        <aside class="col-lg-3">
          <form enctype="multipart/form-data" class="form-horizontal" role="form" action="#"
                th:action="@{/users/{userId}/profile/image(userId=${currentUser.getId()})}" method="post">
            <!--                th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${profile}" method="post">-->
          <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
            <div class="profile-thumb mt-3 mb-4">
              <img class="rounded-circle img-fluid"  th:src="@{${currentUser.getPhoto()}}"  alt="">
              <div class="profile-thumb-edit custom-file bg-primary text-white" data-toggle="tooltip" title="Change Profile Picture"> <i class="fas fa-camera position-absolute"></i>
                <input type="file" name="multiPhoto" class="custom-file-input" id="customFile">
              </div>
            </div>
            <p class="text-3 font-weight-500 mb-2" th:text="'Hello, ' + ${currentUser.getFullName()} + '!'"></p>
            <button class="btn btn-primary btn-block mt-2" type="submit">Save Changes</button>
          </div>
          </form>

          <!-- Available Balance
          =============================== -->
          <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
            <div class="text-17 text-light my-3"><i class="fas fa-wallet"></i></div>
            <h3 class="text-9 font-weight-400" th:text="${allBalance} + ' BGN'">$2956.00</h3>
            <p class="mb-2 text-muted opacity-8">Available Balance</p>
            <hr class="mx-n3">
          </div>
          <!-- Available Balance End -->
        </aside>
        <!-- Left Panel End --> 
        
        <!-- Middle Panel
        ============================================= -->
        <div class="col-lg-9">
          
          <!-- Personal Details
          ============================================= -->
          <div class="bg-light shadow-sm rounded p-4 mb-4">
            <h3 class="text-5 font-weight-400 mb-3">Personal Details <a href="#edit-personal-details" data-toggle="modal" class="float-right text-1 text-uppercase text-muted btn-link"><i class="fas fa-edit mr-1"></i>Edit</a></h3>
            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">Name</p>
              <p class="col-sm-9" th:text="${currentUser.getFullName()}"></p>
            </div>

            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">Email<span class="text-muted font-weight-500"></span></p>
              <p class="col-sm-9" th:text="${currentUser.getEmail()}"></p>
            </div>

            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">Mobile <span class="text-muted font-weight-500"></span></p>
              <p class="col-sm-9" th:text="${currentUser.getPhoneNumber()}"></p>
            </div>

            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">
                <label class="col-form-label">Password</label>
              </p>
              <p class="col-sm-9">
                <input type="password" class="form-control-plaintext" data-bv-field="password" id="passwordVisualisation" value="EnterPassword">
              </p>
            </div>





          </div>
          <!-- Edit Details Modal
          ================================== -->
          <div id="edit-personal-details" class="modal fade " role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title font-weight-400">Personal Details</h5>
                  <button type="button" class="close font-weight-400" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span> </button>
                </div>
                <div class="modal-body p-4">
                  <form id="personaldetails" method="post" th:action="@{/users/{userId}/profile/update(userId=${currentUser.getId()})}" th:object="${profile}">
                    <div class="row">
                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="firstName">First Name</label>
                          <input type="text" value="Smith" class="form-control" data-bv-field="firstName" id="firstName" required placeholder="First Name"
                                 th:field="*{firstName}">
                          <label class="error" th:errors="*{firstName}">First name error placeholder</label>
                        </div>

                      </div>
                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="lastName">Last Name</label>
                          <input type="text" value="Rhodes" class="form-control" data-bv-field="lastName" id="lastName" required placeholder="Last Name"
                                 th:field="*{lastName}">
                          <label class="error" th:errors="*{lastName}">First name error placeholder</label>
                        </div>
                      </div>

                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="lastName">Email</label>
                          <input type="text" value="Rhodes" class="form-control" data-bv-field="lastName" id="email" required placeholder="Last Name"
                                 th:field="*{email}">
                          <label class="error" th:errors="*{email}">First name error placeholder</label>
                        </div>
                      </div>

                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="lastName">Phone number</label>
                          <input type="text" value="Rhodes" class="form-control" data-bv-field="lastName" id="phone" required placeholder="Last Name"
                                 th:field="*{phoneNumber}">
                          <label class="error" th:errors="*{phoneNumber}">First name error placeholder</label>
                        </div>
                      </div>

                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="lastName">Password</label>
                          <input type="password" value="Rhodes" class="form-control" data-bv-field="lastName" id="password" required placeholder="Password"
                                 th:field="*{password}">
                          <label class="error" th:errors="*{password}">First name error placeholder</label>
                        </div>
                      </div>

                      <div class="col-12 col-sm-6">
                        <div class="form-group">
                          <label for="lastName">Confirm Password</label>
                          <input type="password" value="Rhodes" class="form-control" data-bv-field="lastName" id="confirmPassword" required placeholder="Confirm Password"
                                 th:field="*{passwordConfirm}">
                          <label class="error" th:errors="*{passwordConfirm}">First name error placeholder</label>
                        </div>
                      </div>





                        </div>


                    <button class="btn btn-primary btn-block mt-2" type="submit">Save Changes</button>
                  </form>
                </div>
              </div>
            </div>
          </div>
          <!-- Personal Details End -->
          
          <!-- Account Settings
          ============================================= -->
          <div class="bg-light shadow-sm rounded p-4 mb-4">
            <h3 class="text-5 font-weight-400 mb-3">Account Settings <a href="#edit-account-settings" data-toggle="modal" class="float-right text-1 text-uppercase text-muted btn-link"></a></h3>
            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">Language</p>
              <p class="col-sm-9">English (United States)</p>
            </div>
            <div class="row">
              <p class="col-sm-3 text-muted text-sm-right mb-0 mb-sm-3">Account Status</p>
              <p class="col-sm-9"><span class="bg-success text-white rounded-pill d-inline-block px-2 mb-0"><i class="fas fa-check-circle"></i> Active</span></p>
            </div>
          </div>

        </div>
        <!-- Middle Panel End --> 
      </div>
    </div>
  </div>
  <!-- Content end --> 
  
  <!-- Footer
  ============================================= -->
  <div th:replace="fragments/navbar-and-footer :: footer"></div>

  <!-- Footer end --> 
  
</div>
<!-- Document Wrapper end --> 

<!-- Back to Top
============================================= --> 
<a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a> 

<!-- Script -->
<script src="../static/vendor/jquery/jquery.min.js" th:src="@{/vendor/jquery/jquery.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js" th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}" ></script>
<script src="../static/vendor/daterangepicker/moment.min.js" th:src="@{/vendor/daterangepicker/moment.min.js}"></script>
<script src="../static/vendor/daterangepicker/daterangepicker.js" th:src="@{/vendor/daterangepicker/daterangepicker.js}"></script>
<script>
$(function() {
 'use strict';
  // Birth Date
  $('#birthDate').daterangepicker({
	singleDatePicker: true,
	"showDropdowns": true,
	autoUpdateInput: false,
	maxDate: moment().add(0, 'days'),
	}, function(chosen_date) {
  $('#birthDate').val(chosen_date.format('MM-DD-YYYY'));
  });
  });
</script> 
<script src="../static/js/theme.js" th:src="@{/js/theme.js}"></script>
</body>
</html>